Bug 100580 - no pathname for local.conf fontconfig
no pathname for local.conf fontconfig
Product: Red Hat Linux Beta
Classification: Retired
Component: fontconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2003-07-23 11:26 EDT by Felipe Alfaro Solana
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-19 15:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2003-07-23 11:26:32 EDT
Description of problem: 
The configuration file "/etc/fonts/fonts.conf" references the "local.conf" file for 
additional configuration information, but does so without specifying a pathname. 
Thus, fontconfig is unable to locate the file and the resulting net effect is that any 
changes made to "/etc/fonts/local.conf" are ignored. 
I have fixed this by editing "/etc/fonts/fonts.conf" and modying the following lines: 
  Load local system customization file 
        <include ignore_missing="yes">local.conf</include> 
to look like this: 
  Load local system customization file 
        <include ignore_missing="yes">/etc/fonts/local.conf</include> 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1. Make sure fontconfig-2.2.1-4 is installed. 
2. Take a look at "/etc/fonts/fonts.conf" and make sure the file "local.conf" is 
specified with no associated pathname. 
3. Make a change to "/etc/fonts/local.conf" 
4. Restart X 
5. The changes won't have any effect until you perform the modification described 
Actual results: 
Modifications to "/etc/fonts/local.conf" are ignored due to a missing pathname. 
Expected results: 
"/etc/fonts/fonts.conf" should reference "local.conf" by using an absolute 
Additional info:
Comment 1 Owen Taylor 2003-09-19 15:41:18 EDT
Both reading the code and testing on my system confirm that 
/etc/fonts is used as a prefix for non-absolute filenames
in an <include> statement.

Not sure why it isnt' working for you.

Note You need to log in before you can comment on or make changes to this bug.